Subject: Re: bug#54136: 29.0.50; Eshell emits extra prompts when killing processes in some cases

From: Jim Porter <[email-masked]>
Date: Fri, 25 Feb 2022 10:31:45 -0800

On 2/24/2022 11:09 PM, Eli Zaretskii wrote:
>> Here's a patch for that. It works for me on GNU/Linux, and hopefully
>> it's ok on MS Windows too.
> 
> Thanks, and sorry for the thinko.  (I thought posting the patch would
> have that caught, but I guess no one reads my patches seriously.)

Indeed, sorry about that. I spent an hour reading the Emacs's C sources 
and digging through Microsoft docs on subprocesses to try and understand 
why the exit message differed, but neglected the obvious step of "read 
the actual patch". D'oh.